MalformedXMLParser (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.MalformedXMLParser class
Date: 2016-05-12

net.sourceforge.jnlp

## Class MalformedXMLParser

- java.lang.Object
- - net.sourceforge.jnlp.MalformedXMLParser

-     public class MalformedXMLParser
      extends java.lang.Object

  An specialized `XMLParser` that uses TagSoup[1] to parse malformed XML Used by net.sourceforge.jnlp.Parser [1] http://home.ccil.org/~cowan/XML/tagsoup/

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedXMLParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sourceforge.jnlp.Node` | `getRootNode(java.io.InputStream input)` Parses the data from an `InputStream` to create a XML tree.
    `static java.io.InputStream` | `xmlizeInputStream(java.io.InputStream original)` Reads malformed XML from the InputStream original and returns a new InputStream which can be used to read a well-formed version of the input

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedXMLParser

          public MalformedXMLParser()

  - ### Method Detail

    - #### getRootNode

          public net.sourceforge.jnlp.Node getRootNode(java.io.InputStream input)
                                                throws ParseException

      Parses the data from an `InputStream` to create a XML tree. Returns a `Node` representing the root of the tree.
      Parameters:
        `input` - the `InputStream` to read data from
      Returns:
        root node of document
      Throws:
        `ParseException` - if an exception occurs while parsing the input

    - #### xmlizeInputStream

          public static java.io.InputStream xmlizeInputStream(java.io.InputStream original)
                                                       throws ParseException

      Reads malformed XML from the InputStream original and returns a new InputStream which can be used to read a well-formed version of the input
      Parameters:
        `original` - original input
      Returns:
        an `InputStream` which can be used to read a well-formed version of the input XML
      Throws:
        `ParseException` - if an exception occurs while parsing the input

Submit a bug or feature